package com.qr.database.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qr.database.model.Product;
import com.qr.database.model.ProductExport;
import com.qr.database.model.Standard;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
public interface ProductMapper extends BaseMapper<Product> {

    List<ProductExport> selectListByBatchNo(@Param("batchNo") List<String> batchNo);

    Product detail(@Param("id") String id);

    Standard shenqianDoc(@Param("productId") Long productId);

    int shenqianErrUpdate(@Param("batchNo") String batchNo);

    Product ewmDetail(@Param("unitCode") String unitCode, @Param("groupItemCode") String groupItemCode, @Param("no") String no);
}
