package com.qr.database.model;

import cn.afterturn.easypoi.entity.ImageEntity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;

public class ProductExport {
    /**
     * 承制单位代码
     */
    @TableField("UNIT_CODE")
    private String unitCode;
    /**
     * 集团物品码
     */
    @Excel(name = "集团物品码")
    @TableField("GROUP_ITEM_CODE")
    private String groupItemCode;
    /**
     * 序号
     */
    @TableField("NO")
    private String no;
    /**
     * 物品名称
     */
    @Excel(name = "物品名称")
    @TableField("NAME")
    private String name;
    /**
     * 批次标记
     */
    @Excel(name = "图号")
    @TableField("BATCH_MARKING")
    private String batchMarking;
    /**
     * 批号
     */
    @Excel(name = "批号")
    @TableField("BATCH_NO")
    private String batchNo;
    /**
     * 标准号
     */
    @Excel(name = "标准号")
    @TableField("STANDARD_NUMBER")
    private String standardNumber;
    /**
     * 规格
     */
    @Excel(name = "规格")
    @TableField("SPECIFICATION")
    private String specification;
    /**
     * 表面处理
     */
    @Excel(name = "表面处理")
    @TableField("FINISH")
    private String finish;
    /**
     * 材料
     */
    @Excel(name = "材料")
    @TableField("MATERIALS")
    private String materials;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 鉴定报告
     */
    @TableField("SURVEY_REPORT")
    private String surveyReport;
    /**
     * 出厂报告
     */
    @TableField("OUTGOING_REPORT")
    private String outgoingReport;
    /**
     * 第三方尺寸复验报告
     */
    @TableField("THIRDPARTY_SIZE_REPORT")
    private String thirdpartySizeReport;
    /**
     * 第三方性能报告
     */
    @TableField("THIRDPARTY_PER_REPORT")
    private String thirdpartyPerReport;
    /**
     * 入厂尺寸复验报告
     */
    @TableField("INTO_SIZE_REPORT")
    private String intoSizeReport;
    /**
     * 入厂性能复验报告
     */
    @TableField("INTO_PER_REPORT")
    private String intoPerReport;
    /**
     * 合格证
     */
    @TableField("CERTIFICATION")
    private String certification;
    /**
     * 投产批量
     */
    @Excel(name = "投产批量")
    @TableField("PRODUCTION_AMOUNT")
    private Long productionAmount;
    /**
     * 本次发货数量
     */
    @Excel(name = "本次发货数量")
    @TableField("SHIPMENTS_AMOUNT")
    private Long shipmentsAmount;
    /**
     * 二维码
     */
    @TableField("QR_DATA")
    private String qrData;

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getGroupItemCode() {
        return groupItemCode;
    }

    public void setGroupItemCode(String groupItemCode) {
        this.groupItemCode = groupItemCode;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBatchMarking() {
        return batchMarking;
    }

    public void setBatchMarking(String batchMarking) {
        this.batchMarking = batchMarking;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getStandardNumber() {
        return standardNumber;
    }

    public void setStandardNumber(String standardNumber) {
        this.standardNumber = standardNumber;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getFinish() {
        return finish;
    }

    public void setFinish(String finish) {
        this.finish = finish;
    }

    public String getMaterials() {
        return materials;
    }

    public void setMaterials(String materials) {
        this.materials = materials;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getSurveyReport() {
        return surveyReport;
    }

    public void setSurveyReport(String surveyReport) {
        this.surveyReport = surveyReport;
    }

    public String getOutgoingReport() {
        return outgoingReport;
    }

    public void setOutgoingReport(String outgoingReport) {
        this.outgoingReport = outgoingReport;
    }

    public String getThirdpartySizeReport() {
        return thirdpartySizeReport;
    }

    public void setThirdpartySizeReport(String thirdpartySizeReport) {
        this.thirdpartySizeReport = thirdpartySizeReport;
    }

    public String getThirdpartyPerReport() {
        return thirdpartyPerReport;
    }

    public void setThirdpartyPerReport(String thirdpartyPerReport) {
        this.thirdpartyPerReport = thirdpartyPerReport;
    }

    public String getIntoSizeReport() {
        return intoSizeReport;
    }

    public void setIntoSizeReport(String intoSizeReport) {
        this.intoSizeReport = intoSizeReport;
    }

    public String getIntoPerReport() {
        return intoPerReport;
    }

    public void setIntoPerReport(String intoPerReport) {
        this.intoPerReport = intoPerReport;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public Long getProductionAmount() {
        return productionAmount;
    }

    public void setProductionAmount(Long productionAmount) {
        this.productionAmount = productionAmount;
    }

    public Long getShipmentsAmount() {
        return shipmentsAmount;
    }

    public void setShipmentsAmount(Long shipmentsAmount) {
        this.shipmentsAmount = shipmentsAmount;
    }

    public String getQrData() {
        return qrData;
    }

    public void setQrData(String qrData) {
        this.qrData = qrData;
    }
}
