package com.qr.database.model;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
@TableName("QR_SHENQIAN_LOG")
@KeySequence("QR_SHENQIAN_LOG_SEQ")
public class ShenqianLog extends Model<ShenqianLog> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 审签ID
     */
    @TableField("SHENQIAN_ID")
    private Long shenqianId;
    /**
     * 序号
     */
    @TableField("ORDER_NUMBER")
    private Long orderNumber;
    /**
     * 流程ID
     */
    @TableField("FLOW_ID")
    private Long flowId;
    /**
     * 节点名称
     */
    @TableField("NODE_NAME")
    private String nodeName;
    /**
     * 审批内容  1：盖章  2：签字
     */
    @TableField("APPROVAL_TYPE")
    private Integer approvalType;
    /**
     * 审批人id
     */
    @TableField("APPROVAL_USER_ID")
    private Long approvalUserId;
    /**
     * 审批人姓名
     */
    @TableField("APPROVAL_USER_NAME")
    private String approvalUserName;
    /**
     * 审批状态
     */
    @TableField("STATUS")
    private String status;
    /**
     * 审批时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;
    /**
     * 备注
     */
    @TableField("NOTE")
    private String note;

    public String getApprovalUserName() {
        return approvalUserName;
    }

    public void setApprovalUserName(String approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShenqianId() {
        return shenqianId;
    }

    public void setShenqianId(Long shenqianId) {
        this.shenqianId = shenqianId;
    }

    public Long getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Long orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Integer getApprovalType() {
        return approvalType;
    }

    public void setApprovalType(Integer approvalType) {
        this.approvalType = approvalType;
    }

    public Long getApprovalUserId() {
        return approvalUserId;
    }

    public void setApprovalUserId(Long approvalUserId) {
        this.approvalUserId = approvalUserId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ShenqianLog{" +
        "id=" + id +
        ", shenqianId=" + shenqianId +
        ", orderNumber=" + orderNumber +
        ", flowId=" + flowId +
        ", nodeName=" + nodeName +
        ", approvalType=" + approvalType +
        ", approvalUserId=" + approvalUserId +
        ", status=" + status +
        ", createTime=" + createTime +
        ", note=" + note +
        "}";
    }
}
