package com.qr.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qr.database.model.Flow;
import org.hibernate.validator.constraints.EAN;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 二维码数据库审签流程表 服务类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
public interface IFlowService extends IService<Flow> {

    public List<Flow> getFlow(Long flowId);

    public Map<String, Object> getFlowSelect(Long flowId);
}
