package com.qr.database.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.qr.database.model.Product;
import com.qr.database.model.ProductExport;
import com.qr.database.model.Standard;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
public interface IProductService extends IService<Product> {

    boolean add(Product next, Map<String, String> map);

    boolean del(Product product, List<Integer> delDoc, Integer delType);

    List<ProductExport> selectListByBatchNo(List<String> batchNo);

    Product detail(String id);

    Standard shenqianDoc(Long productId);

    void shenqianErrUpdate(String originalFilename);

    void delFile(Product product, List<Integer> delDoc);

    Product ewmDetail(String unitCode, String groupItemCode, String no);
}
