package com.qr.database.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qr.database.dao.UnitMapper;
import com.qr.database.model.Unit;
import com.qr.database.service.IUnitService;
import org.omg.PortableServer.THREAD_POLICY_ID;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
@Service
public class UnitServiceImpl extends ServiceImpl<UnitMapper, Unit> implements IUnitService {

    @Override
    public Map<String, String> flagAndUnitCode() {
        List<Unit> list = this.list();
        Map<String, String> stringStringHashMap = new HashMap<>();
        for (Unit u:list) {
            stringStringHashMap.put(u.getFlag(), u.getUnitCode());
        }
        return stringStringHashMap;
    }
}
