package com.qr.database.utils;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class RedisUtils {

    private static RedisTemplate<String, Object> redisTemplate;

    @Autowired
    public void setRedisTemplate(RedisTemplate<String, Object> redisTemplate) {
        RedisUtils.redisTemplate = redisTemplate;
    }

    public static boolean setIfPresent(String k, Object v, long var3, TimeUnit var5) {
//        Object o = redisTemplate.opsForValue().get(k);
//        if (o != null) {
//            redisTemplate.opsForValue().set(k,v, var3, var5);
//            return true;
//        }
//        return false;
        return redisTemplate.opsForValue().setIfPresent(k, v, var3, var5);
    }

    public static void set(String k, Object v, long var3, TimeUnit var5) {
        redisTemplate.opsForValue().set(k, v, var3, var5);
    }
}
