package com.qr.database.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qr.database.model.Shenqian;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 审签 Mapper 接口
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
public interface ShenqianMapper extends BaseMapper<Shenqian> {

    String getUserNameById(@Param("userId") Long userId, @Param("status") Integer status);

    List<Shenqian> listShenqian(@Param("page") Page<Shenqian> page, @Param("a") Shenqian shenqian);

    Shenqian last(@Param("id") String id, @Param("userId") Long userId, @Param("approvalUserId") Long approvalUserId);

    Shenqian next(@Param("id") String id, @Param("userId") Long userId, @Param("approvalUserId") Long approvalUserId);
}
