package com.qr.database.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qr.database.model.Product;
import com.qr.database.model.Standard;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
public interface StandardMapper extends BaseMapper<Standard> {

    List<Standard> list(@Param("page") Page<Standard> page, @Param("a") Standard standard);

    List<Standard> listProduct(@Param("page") Page<Product> page, @Param("a") Standard standard);
}
