package com.qr.database.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
@TableName("QR_UNIT")
public class Unit extends Model<Unit> {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;
    /**
     * 单位类型
     */
    @TableField("TYPE")
    private String type;
    /**
     * 单位名称
     */
    @TableField("NAME")
    private String name;
    /**
     * 单位地址
     */
    @TableField("ADDR")
    private String addr;
    /**
     * 标志
     */
    @TableField("FLAG")
    private String flag;
    /**
     * 承制单位代码
     */
    @TableField("UNIT_CODE")
    private String unitCode;
    /**
     * 备注
     */
    @TableField("NOTE")
    private String note;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Unit{" +
        "id=" + id +
        ", type=" + type +
        ", name=" + name +
        ", addr=" + addr +
        ", flag=" + flag +
        ", unitCode=" + unitCode +
        ", note=" + note +
        "}";
    }
}
