package com.qr.database.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qr.database.model.Shenqian;
import com.qr.database.tips.ReturnResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 审签 服务类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
public interface IShenqianService extends IService<Shenqian> {

    boolean start(String batchNo, String note, String flowId, Long userId, Long companyId, String userName);

    String getUserNameById(Long userId, Integer status);

    List<Shenqian> listShenqian(Page<Shenqian> page, Shenqian shenqian);

    ReturnResult restart(String id, String flowId, String note, Long userId, String userName);

    Shenqian last(String id, Long userId, Long approvalUserId);

    Shenqian next(String id, Long userId, Long approvalUserId);

    void errUpdate(Shenqian s);
}
