package com.qr.database.utils;

import cn.afterturn.easypoi.excel.ExcelImportUtil;
import cn.afterturn.easypoi.excel.entity.ImportParams;
import org.apache.poi.util.IOUtils;

import java.io.InputStream;
import java.util.List;

public class ExcelUtil {

    /**
     * 导入
     * @param inputStream
     * @param entity
     * @param params
     * @param <T>
     * @return
     * @throws Exception
     */
    public static <T> List<T> imports(InputStream inputStream, Class<T> entity, ImportParams params) throws Exception {
        List<T> objects = null;
        try{
            objects = ExcelImportUtil.importExcel(inputStream, entity, params);
        } finally {
            IOUtils.closeQuietly(inputStream);
        }
        return objects;
    }

    /**
     * 导入
     * @param inputStream
     * @param entity
     * @param <T>
     * @return
     * @throws Exception
     */
    public static <T> List<T> imports(InputStream inputStream, Class<T> entity) throws Exception {
        return imports(inputStream, entity, new ImportParams());
    }

}
